## Introspector-0.04.tar.gz

=== Makefile ===
# This Makefile is for the Introspector extension to perl.
#
# It was generated automatically by MakeMaker version
# 6.03 (Revision: 1.63) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#
#   MakeMaker Parameters:

#     ABSTRACT_FROM => q[Introspector.pm]
#     AUTHOR => q[James Michael DuPont <mdupont777@yahoo.com>]
#     EXE_FILES => [q[./bin/intrspctr.pl]]
#     NAME => q[Introspector]
#     VERSION_FROM => q[./Introspector.pm]

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/lib/perl/5.8.0/Config.pm)

# They may have been overridden via Makefile.PL or on the command line
AR = ar
CC = cc
CCCDLFLAGS = -fPIC
CCDLFLAGS = -rdynamic
DLEXT = so
DLSRC = dl_dlopen.xs
LD = cc
LDDLFLAGS = -shared -L/usr/local/lib
LDFLAGS =  -L/usr/local/lib
LIBC = /lib/libc-2.3.1.so
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 2.4.19
RANLIB = :
SO = so
EXE_EXT = 
FULL_AR = /usr/bin/ar


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
NAME = Introspector
DISTNAME = Introspector
NAME_SYM = Introspector
VERSION = 0.04
VERSION_SYM = 0_04
XS_VERSION = 0.04
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INSTALLDIRS = site
PREFIX = /usr
SITEPREFIX = $(PREFIX)/local
VENDORPREFIX = $(PREFIX)
INSTALLPRIVLIB = $(PREFIX)/share/perl/5.8.0
INSTALLSITELIB = $(SITEPREFIX)/share/perl/5.8.0
INSTALLVENDORLIB = $(VENDORPREFIX)/share/perl5
INSTALLARCHLIB = $(PREFIX)/lib/perl/5.8.0
INSTALLSITEARCH = $(SITEPREFIX)/lib/perl/5.8.0
INSTALLVENDORARCH = $(VENDORPREFIX)/lib/perl5
INSTALLBIN = $(PREFIX)/bin
INSTALLSITEBIN = $(SITEPREFIX)/bin
INSTALLVENDORBIN = $(VENDORPREFIX)/bin
INSTALLSCRIPT = $(PREFIX)/bin
PERL_LIB = /usr/share/perl/5.8.0
PERL_ARCHLIB = /usr/lib/perl/5.8.0
SITELIBEXP = /usr/local/share/perl/5.8.0
SITEARCHEXP = /usr/local/lib/perl/5.8.0
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/lib/perl/5.8.0/CORE
PERL = /mnt/hda4/usr/bin/perl
FULLPERL = /mnt/hda4/usr/bin/perl
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERL = $(PERL)
ABSPERLRUN = $(ABSPERL)
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULL_AR = /usr/bin/ar
PERL_CORE = 0
NOOP = $(SHELL) -c true
NOECHO = @

VERSION_MACRO = VERSION
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc

MAKEMAKER = /usr/share/perl/5.8.0/ExtUtils/MakeMaker.pm
MM_VERSION = 6.03

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
FULLEXT = Introspector
BASEEXT = Introspector
PARENT_NAME = 
DLBASE = $(BASEEXT)
VERSION_FROM = ./Introspector.pm
OBJECT = 
LDFROM = $(OBJECT)
LINKTYPE = dynamic

# Handy lists of source code files:
XS_FILES= 
C_FILES = 
O_FILES = 
H_FILES = 
MAN1PODS = ./bin/intrspctr.pl
MAN3PODS = Introspector.pm \
	lib/Class/Contract.pm \
	lib/Introspector/GCC/GCC.pm \
	lib/Introspector/LoadIntrospector.pm \
	lib/Introspector/Visitor.pm
INST_MAN1DIR = blib/man1
MAN1EXT = 1p
INSTALLMAN1DIR = $(PREFIX)/share/man/man1
INSTALLSITEMAN1DIR = $(SITEPREFIX)/man/man1
INSTALLVENDORMAN1DIR = $(VENDORPREFIX)/share/man/man1
INST_MAN3DIR = blib/man3
MAN3EXT = 3pm
INSTALLMAN3DIR = $(PREFIX)/share/man/man3
INSTALLSITEMAN3DIR = $(SITEPREFIX)/man/man3
INSTALLVENDORMAN3DIR = $(VENDORPREFIX)/share/man/man3
PERM_RW = 644
PERM_RWX = 755

# work around a famous dec-osf make(1) feature(?):
makemakerdflt: all

.SUFFIXES: .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

# Nick wanted to get rid of .PRECIOUS. I don't remember why. I seem to recall, that
# some make implementations will delete the Makefile when we rebuild it. Because
# we call false(1) when we rebuild it. So make(1) is not completely wrong when it
# does so. Our milage may vary.
# .PRECIOUS: Makefile    # seems to be not necessary anymore

.PHONY: all config static dynamic test linkext manifest

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)/Config.pm $(PERL_INC)/config.h

# Where to put things:
INST_LIBDIR      = $(INST_LIB)
INST_ARCHLIBDIR  = $(INST_ARCHLIB)

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC  =
INST_DYNAMIC =
INST_BOOT    =

EXPORT_LIST = 

PERL_ARCHIVE = 

PERL_ARCHIVE_AFTER = 

TO_INST_PM = Introspector.pm \
	lib/B/IntrospectorDeparse.pm \
	lib/Class/Contract.pm \
	lib/Introspector/Breaker.pm \
	lib/Introspector/CodeFormatter.pm \
	lib/Introspector/ConnectionTypes.pm \
	lib/Introspector/CreateClasses.pm \
	lib/Introspector/CrossReference.pm \
	lib/Introspector/DYNCALL.PM \
	lib/Introspector/DYNLOAD.PM \
	lib/Introspector/DebugPrint.pm \
	lib/Introspector/Eval.pm \
	lib/Introspector/FileHandling.pm \
	lib/Introspector/GCC.PM \
	lib/Introspector/GCC/Changes \
	lib/Introspector/GCC/GCC.pm \
	lib/Introspector/GCC/GCC.xs \
	lib/Introspector/GCC/MANIFEST \
	lib/Introspector/GCC/Makefile.PL \
	lib/Introspector/GCC/README \
	lib/Introspector/GCC/build-stamp \
	lib/Introspector/GCC/test.pl \
	lib/Introspector/GeneratedPackage.pm \
	lib/Introspector/HTMLGenerator.pm \
	lib/Introspector/HTMLPrinter.pm \
	lib/Introspector/IncludePaths.pm \
	lib/Introspector/JavaGenerator.pm \
	lib/Introspector/LoadIntrospector.pm \
	lib/Introspector/LoadMetaInfo.pm \
	lib/Introspector/LoadNodes.pm \
	lib/Introspector/MetaAttribute.pm \
	lib/Introspector/MetaConstraint.pm \
	lib/Introspector/MetaFeature.pm \
	lib/Introspector/MetaInheritance.pm \
	lib/Introspector/MetaMethod.pm \
	lib/Introspector/MetaPackage.pm \
	lib/Introspector/MetaPackages.pm \
	lib/Introspector/MetaProperty.pm \
	lib/Introspector/MetaType.pm \
	lib/Introspector/ModifyClasses.pm \
	lib/Introspector/NODE_IDS.PM \
	lib/Introspector/NodeProcess.pm \
	lib/Introspector/NodeVisitors.pm \
	lib/Introspector/ParseGCCXML.pm \
	lib/Introspector/PerlGenerator.pm \
	lib/Introspector/README.txt \
	lib/Introspector/Redland/Storage.pm \
	lib/Introspector/Repository.pm \
	lib/Introspector/SQLGenerator.pm \
	lib/Introspector/StandardPerlGenerator.pm \
	lib/Introspector/TranslateClasses.pm \
	lib/Introspector/TreeCCGenerator.pm \
	lib/Introspector/Visitor.pm \
	lib/Introspector/XMLParser.pm \
	lib/Introspector/XMLPrinter.pm \
	lib/Introspector/components.pm \
	lib/Introspector/database/SQL/create_indexes.sql \
	lib/Introspector/database/SQL/delete_tables.sql \
	lib/Introspector/database/SQL/drops.sql \
	lib/Introspector/database/SQL/droptables.sql \
	lib/Introspector/database/SQL/droptables2.sql \
	lib/Introspector/database/SQL/indexes.sql \
	lib/Introspector/database/SQL/recreate.sh \
	lib/Introspector/database/SQL/runcreate.sh \
	lib/Introspector/database/SQL/rundrops.sh \
	lib/Introspector/database/SQL/rundrops.sql \
	lib/Introspector/database/dumptable.cmd \
	lib/Introspector/database/getschema.sh \
	lib/Introspector/database/grant.sql \
	lib/Introspector/database/introspector_schema.sql \
	lib/Introspector/database/loadrelationships.sql \
	lib/Introspector/database/node_named.sql \
	lib/Introspector/database/queries.pm \
	lib/Introspector/database/queries/currentfiles.sql \
	lib/Introspector/database/queries/drop_indexs.sql \
	lib/Introspector/database/queries/dumptable.cmd \
	lib/Introspector/database/queries/enums.sql \
	lib/Introspector/database/queries/exprs.sql \
	lib/Introspector/database/queries/fields_and_struct.sql \
	lib/Introspector/database/queries/loadrelationships.sql \
	lib/Introspector/database/queries/testconn.pl \
	lib/Introspector/database/queries/tests.sql \
	lib/Introspector/database/schema.sql \
	lib/Introspector/database/schema2.sql \
	lib/Introspector/database/testconn.pl \
	lib/Introspector/db_node_ref.pm \
	lib/Introspector/dyncall.pm \
	lib/Introspector/dynload.pm \
	lib/Introspector/gcc.pm \
	lib/Introspector/gcc/field.pm \
	lib/Introspector/gcc/fields.pm \
	lib/Introspector/gcc/node.pm \
	lib/Introspector/gcc/noderef.pm \
	lib/Introspector/warnings.pm

PM_TO_BLIB = lib/Introspector/database/dumptable.cmd \
	blib/lib/Introspector/database/dumptable.cmd \
	lib/Introspector/database/SQL/droptables2.sql \
	blib/lib/Introspector/database/SQL/droptables2.sql \
	lib/Introspector/GCC/Makefile.PL \
	blib/lib/Introspector/GCC/Makefile.PL \
	lib/Introspector/TreeCCGenerator.pm \
	blib/lib/Introspector/TreeCCGenerator.pm \
	lib/Introspector/ConnectionTypes.pm \
	blib/lib/Introspector/ConnectionTypes.pm \
	lib/Introspector/Visitor.pm \
	blib/lib/Introspector/Visitor.pm \
	lib/Introspector/LoadIntrospector.pm \
	blib/lib/Introspector/LoadIntrospector.pm \
	lib/Introspector/ModifyClasses.pm \
	blib/lib/Introspector/ModifyClasses.pm \
	lib/Introspector/CrossReference.pm \
	blib/lib/Introspector/CrossReference.pm \
	lib/Introspector/SQLGenerator.pm \
	blib/lib/Introspector/SQLGenerator.pm \
	lib/Introspector/GCC/MANIFEST \
	blib/lib/Introspector/GCC/MANIFEST \
	lib/Introspector/GCC/GCC.xs \
	blib/lib/Introspector/GCC/GCC.xs \
	lib/Introspector/db_node_ref.pm \
	blib/lib/Introspector/db_node_ref.pm \
	lib/Introspector/NODE_IDS.PM \
	blib/lib/Introspector/NODE_IDS.PM \
	lib/Introspector/HTMLPrinter.pm \
	blib/lib/Introspector/HTMLPrinter.pm \
	lib/Introspector/database/queries/enums.sql \
	blib/lib/Introspector/database/queries/enums.sql \
	lib/Introspector/components.pm \
	blib/lib/Introspector/components.pm \
	Introspector.pm \
	blib/lib/Introspector.pm \
	lib/Introspector/gcc/field.pm \
	blib/lib/Introspector/gcc/field.pm \
	lib/Introspector/NodeProcess.pm \
	blib/lib/Introspector/NodeProcess.pm \
	lib/Introspector/database/queries/drop_indexs.sql \
	blib/lib/Introspector/database/queries/drop_indexs.sql \
	lib/Introspector/database/queries/exprs.sql \
	blib/lib/Introspector/database/queries/exprs.sql \
	lib/Introspector/GCC/build-stamp \
	blib/lib/Introspector/GCC/build-stamp \
	lib/Introspector/database/queries/testconn.pl \
	blib/lib/Introspector/database/queries/testconn.pl \
	lib/Introspector/gcc/node.pm \
	blib/lib/Introspector/gcc/node.pm \
	lib/Introspector/database/SQL/rundrops.sh \
	blib/lib/Introspector/database/SQL/rundrops.sh \
	lib/Introspector/database/getschema.sh \
	blib/lib/Introspector/database/getschema.sh \
	lib/Introspector/warnings.pm \
	blib/lib/Introspector/warnings.pm \
	lib/Introspector/DebugPrint.pm \
	blib/lib/Introspector/DebugPrint.pm \
	lib/Introspector/MetaProperty.pm \
	blib/lib/Introspector/MetaProperty.pm \
	lib/Introspector/gcc.pm \
	blib/lib/Introspector/gcc.pm \
	lib/Introspector/CreateClasses.pm \
	blib/lib/Introspector/CreateClasses.pm \
	lib/Introspector/MetaType.pm \
	blib/lib/Introspector/MetaType.pm \
	lib/Introspector/GeneratedPackage.pm \
	blib/lib/Introspector/GeneratedPackage.pm \
	lib/Introspector/MetaConstraint.pm \
	blib/lib/Introspector/MetaConstraint.pm \
	lib/Introspector/database/SQL/delete_tables.sql \
	blib/lib/Introspector/database/SQL/delete_tables.sql \
	lib/Introspector/dyncall.pm \
	blib/lib/Introspector/dyncall.pm \
	lib/Introspector/database/SQL/recreate.sh \
	blib/lib/Introspector/database/SQL/recreate.sh \
	lib/Introspector/database/grant.sql \
	blib/lib/Introspector/database/grant.sql \
	lib/Introspector/database/SQL/drops.sql \
	blib/lib/Introspector/database/SQL/drops.sql \
	lib/Introspector/IncludePaths.pm \
	blib/lib/Introspector/IncludePaths.pm \
	lib/Introspector/XMLParser.pm \
	blib/lib/Introspector/XMLParser.pm \
	lib/Introspector/database/queries/tests.sql \
